FROM golang:1.9.2
RUN ln -sf /usr/share/zoneinfo/Asia/Shanghai /etc/localtime
RUN echo 'Asia/Shanghai' > /etc/timezone

COPY applecheckmode /go/bin/
COPY config.yaml /go/bin/
RUN chmod +x /go/bin/applecheckmode
WORKDIR /go/bin
CMD ["/go/bin/applecheckmode", "applecheckmode", "--config=/go/bin/config.yaml"]
EXPOSE 9001
